#
# morfonetikus alternns fnevek ragozsi csoportba sorolsa
#
# kls vltoz: kulon_e (tulajdonnevek esetn kikapcs. szsszettel,
# ha kulon_e==1)
#
BEGIN { 
    while ((getline var < "fonev_mely") > 0) { mely[var]=1; }
    while ((getline var < "fonev_kulon") > 0) { kulonszo[var]=1; }
}

function kulon(st) {
    if (kulon_e==1) return "";
    if (kulonszo[st]!=1) {
	return "/Y/c"
    } else {
	return "/c" 
    }
}

# mly hangrend nevszok, morfonetikus alternnsok 
/[uoa][bcdfghjklmnpqrstvwxyz]*$/  { print $1 "/A/U" kulon($1); }
# magas, ajakrses
/[ie][bcdfghjklmnpqrstvwxyz]*$/  {
    if (mely[$1]==1) { print $1 "/A/U" kulon($1)}
    else { print $1 "/B/V" kulon($1)}
}
# magas, ajakkerektses
/[][bcdfghjklmnpqrstvwxyz]*$/ { print $0 "/C/W" kulon($1)}
